<div class="ptb-15 equal">
  <div class="col-lg-12">
    <div class="col-lg-2">
      <select class="form-control input-sm" name="assetSelect" [(ngModel)]="selectedIndex" (change)="getAssetSelected(selectedIndex)">
          <option *ngFor="let parent of assetDescInfo; let i = index;" [value]="i">{{parent.AssetId}}</option>
        </select>
        </div>
  </div>
  <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 plr-5" [hidden]="tableviewChange.RTtableMaxView || tableviewChange.AlarmMaxView">
    <app-asset-desc [assetDescInfo]="selectedAsset"></app-asset-desc>
    <app-asset-location [assetMapInfo]="assetMapInfo" *ngIf="selectedRealTimeData.length == 0"></app-asset-location>
  </div>
  <div class="col-sm-12 col-xs-12 plr-5" [ngClass]="tableviewChange.rtClass" [hidden]="tableviewChange.AlarmMaxView">
    <div [ngClass]="tableviewChange.rtInnerClass">
      <app-asset-table [assetTableInfo]="assetTableInfo" [tableviewChange]="tableviewChange" #selectedRTData (selectedRTData)="changeRTData($event)" #RTtableView (RTtableView)="changeRTtableView($event)" #RTmaxmizeView (RTmaxmizeView)="changeRTMaxView($event)"></app-asset-table>
    </div>
  </div>
  <div class="col-sm-12 col-xs-12 plr-5" [ngClass]="tableviewChange.alarmClass" [hidden]="tableviewChange.RTtableMaxView">
    <div [ngClass]="tableviewChange.alarmInnerClass">
      <app-asset-alarm-point [assetAlarmInfo]="assetAlarmInfo" [selectedRealTimeData]="selectedRealTimeData" [tableviewChange]="tableviewChange" #ACtableView (ACtableView)="changeACtableView($event)" #ACmaxmizeView (ACmaxmizeView)="changeACMaxView($event)"></app-asset-alarm-point>
    </div>
  </div>
  <div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 plr-5" [hidden]="tableviewChange.RTtableMaxView || tableviewChange.AlarmMaxView">
    <app-asset-location [assetMapInfo]="assetMapInfo" *ngIf="selectedRealTimeData.length > 0"></app-asset-location>
  </div>

  <div class="col-lg-9 col-md-9 col-sm-12 col-xs-12 asset-right-align" *ngIf="selectedRealTimeData.length > 0">
    <div class="panel panel-app">
      <div class="panel-heading clearfix panel-white-heading panel-border">
        <div class="text-left">
          Historical Data
        </div>
      </div>
      <!-- <app-time-slider></app-time-slider> -->
      <div class="panel-body-padding panel-border panl-min-height">
        <div class="row">
          <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <app-line-chart [result]="linechartData" [chartInfo]="lineChartInfo"></app-line-chart>
          </div>
          <div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 mb-20 col-md-offset-1">
              <app-time-slider (timeRange)="changeTime($event)" #timeRange></app-time-slider>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 mb-20 col-md-offset-1">
              <app-date-slider (dateRange)="changeDate($event)" #dateRange></app-date-slider>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- <div class="ptb-15 equal">
    <div class="col-sm-12 col-xs-12 plr-5 col-lg-12 col-md-1">
        <app-asset-table [assetTableInfo]="assetTableInfo" [tableviewChange]="tableviewChange" #selectedRTData (selectedRTData)="changeRTData($event)" #RTtableView (RTtableView)="changeRTtableView($event)"></app-asset-table>
    </div>
</div> -->